 package signals;
 
 public class SyncSignal extends Signals
 {
   private static final long serialVersionUID = 1L;
   
   public SyncSignal(String name) {
     this.name = name;
     this.dependsOnClk = true;
   }
   
   public SyncSignal(String name, int clockDomain) {
     setId();
     this.name = name;
     this.dependsOnClk = true;
     this.clockDomainId = clockDomain;
     
     for (int i = 0; i < 200; i++) // 200
     {
       this.wave[i] = 0;
     }
   }
   
   public void generate(boolean beginOnRisingEdge) {}
 }





